## r-cran-backports 1.0.5

=== DESCRIPTION ===
Package: backports
Type: Package
Title: Reimplementations of Functions Introduced Since R-3.0.0
Version: 1.0.5
Author: Michel Lang <michellang@gmail.com>
Maintainer: Michel Lang <michellang@gmail.com>
Description: Implementations of functions which have been introduced in
    R since version 3.0.0. The backports are conditionally exported which
    results in R resolving the function names to the version shipped with R (if
    available) and uses the implemented backports as fallback. This way package
    developers can make use of the new functions without worrying about the
    minimum required R version.
URL: https://github.com/mllg/backports
BugReports: https://github.com/mllg/backports/issues
License: GPL-2
NeedsCompilation: no
ByteCompile: yes
Depends: R (>= 3.0.0)
Imports: utils
RoxygenNote: 5.0.1
Packaged: 2017-01-18 08:47:45 UTC; lang
Repository: CRAN
Date/Publication: 2017-01-18 18:07:29

=== debian/changelog ===
r-cran-backports (1.0.5-1) unstable; urgency=medium

  * New upstream version
  * Debug line in autopkgtest
  * Fix Vcs-Svn
  * Debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2017 09:50:21 +0100

r-cran-backports (1.0.4-1) unstable; urgency=medium

  * Initial release (closes: #842562)

 -- Andreas Tille <tille@debian.org>  Sun, 30 Oct 2016 13:11:48 +0100

=== debian/control ===
Source: r-cran-backports
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-backports/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-backports/trunk/
Homepage: https://cran.r-project.org/package=backports

Package: r-cran-backports
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: reimplementation of functions introduced since R-3.0.0
 Implementations of functions which have been introduced in
 R since version 3.0.0. The backports are conditionally exported which
 results in R resolving the function names to the version shipped with R (if
 available) and uses the implemented backports as fallback. This way package
 developers can make use of the new functions without worrying about the
 minimum required R version.

## r-cran-backports 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backports
 Type: Package
 Title: Reimplementations of Functions Introduced Since R-3.0.0
-Version: 1.0.5
+Version: 1.1.1
 Author: Michel Lang <michellang@gmail.com>
 Maintainer: Michel Lang <michellang@gmail.com>
 Description: Implementations of functions which have been introduced in
@@ -13,11 +13,11 @@
 URL: https://github.com/mllg/backports
 BugReports: https://github.com/mllg/backports/issues
 License: GPL-2
-NeedsCompilation: no
+NeedsCompilation: yes
 ByteCompile: yes
 Depends: R (>= 3.0.0)
 Imports: utils
-RoxygenNote: 5.0.1
-Packaged: 2017-01-18 08:47:45 UTC; lang
+RoxygenNote: 6.0.1
+Packaged: 2017-09-25 20:20:29 UTC; michel
 Repository: CRAN
-Date/Publication: 2017-01-18 18:07:29
+Date/Publication: 2017-09-25 22:09:46 UTC

=== debian/changelog ===
r-cran-backports (1.1.1-1) unstable; urgency=medium

  * New upstream version (now arch any)
  * Move packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Sep 2017 17:50:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-backports/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-backports/trunk/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-backports.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-backports.git
 Homepage: https://cran.r-project.org/package=backports
 
 Package: r-cran-backports
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: reimplementation of functions introduced since R-3.0.0

## r-cran-backports 1.1.2

=== debian/changelog ===
r-cran-backports (1.1.2-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 14:35:00 +0200

r-cran-backports (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 09:11:57 +0100

=== debian/control ===
Source: r-cran-backports
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-backports
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-backports.git
Homepage: https://cran.r-project.org/package=backports

Package: r-cran-backports
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: reimplementation of functions introduced since R-3.0.0
 Implementations of functions which have been introduced in
 R since version 3.0.0. The backports are conditionally exported which
 results in R resolving the function names to the version shipped with R (if
 available) and uses the implemented backports as fallback. This way package
 developers can make use of the new functions without worrying about the
 minimum required R version.

## r-cran-backports 1.1.3

=== DESCRIPTION ===
Package: backports
Type: Package
Title: Reimplementations of Functions Introduced Since R-3.0.0
Version: 1.1.3
Authors@R: c(
    person("Michel", "Lang", NULL, "michellang@gmail.com",
      role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
    person("R Core Team", role = "aut"))
Maintainer: Michel Lang <michellang@gmail.com>
Description: 
    Functions introduced or changed since R v3.0.0 are re-implemented in this
    package. The backports are conditionally exported in order to let R resolve
    the function name to either the implemented backport, or the respective base
    version, if available. Package developers can make use of new functions or
    arguments by selectively importing specific backports to
    support older installations.
URL: https://github.com/r-lib/backports
BugReports: https://github.com/r-lib/backports/issues
License: GPL-2
NeedsCompilation: yes
ByteCompile: yes
Depends: R (>= 3.0.0)
Imports: utils
Encoding: UTF-8
RoxygenNote: 6.1.1
Packaged: 2018-12-14 09:54:10 UTC; lang
Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
  R Core Team [aut]
Repository: CRAN
Date/Publication: 2018-12-14 10:30:03 UTC

=== debian/changelog ===
r-cran-backports (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 11:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-backports
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-backports.git
 Homepage: https://cran.r-project.org/package=backports

## r-cran-backports 1.1.4

=== debian/changelog ===
r-cran-backports (1.1.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 16:58:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-backports
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-backports.git
 Homepage: https://cran.r-project.org/package=backports

## r-cran-backports 1.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backports
 Type: Package
 Title: Reimplementations of Functions Introduced Since R-3.0.0
-Version: 1.1.3
+Version: 1.1.5
 Authors@R: c(
     person("Michel", "Lang", NULL, "michellang@gmail.com",
       role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
@@ -16,15 +16,15 @@
     support older installations.
 URL: https://github.com/r-lib/backports
 BugReports: https://github.com/r-lib/backports/issues
-License: GPL-2
+License: GPL-2 | GPL-3
 NeedsCompilation: yes
 ByteCompile: yes
 Depends: R (>= 3.0.0)
 Imports: utils
 Encoding: UTF-8
 RoxygenNote: 6.1.1
-Packaged: 2018-12-14 09:54:10 UTC; lang
+Packaged: 2019-10-02 18:35:28 UTC; michel
 Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
   R Core Team [aut]
 Repository: CRAN
-Date/Publication: 2018-12-14 10:30:03 UTC
+Date/Publication: 2019-10-02 20:20:02 UTC

=== debian/changelog ===
r-cran-backports (1.1.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 09:25:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-backports
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-backports.git
 Homepage: https://cran.r-project.org/package=backports

## r-cran-backports 1.1.8

=== debian/changelog ===
r-cran-backports (1.1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 29 Jun 2020 16:30:55 +0200

r-cran-backports (1.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 09:17:21 +0200

r-cran-backports (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 08 Apr 2020 10:19:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-backports
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-backports.git
 Homepage: https://cran.r-project.org/package=backports
+Rules-Requires-Root: no
 
 Package: r-cran-backports
 Architecture: any

## r-cran-backports 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backports
 Type: Package
 Title: Reimplementations of Functions Introduced Since R-3.0.0
-Version: 1.1.5
+Version: 1.2.1
 Authors@R: c(
     person("Michel", "Lang", NULL, "michellang@gmail.com",
       role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
@@ -20,11 +20,10 @@
 NeedsCompilation: yes
 ByteCompile: yes
 Depends: R (>= 3.0.0)
-Imports: utils
 Encoding: UTF-8
-RoxygenNote: 6.1.1
-Packaged: 2019-10-02 18:35:28 UTC; michel
+RoxygenNote: 7.1.1
+Packaged: 2020-12-09 11:51:23 UTC; lang
 Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
   R Core Team [aut]
 Repository: CRAN
-Date/Publication: 2019-10-02 20:20:02 UTC
+Date/Publication: 2020-12-09 14:20:07 UTC

=== debian/changelog ===
r-cran-backports (1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jan 2021 11:30:26 +0100

r-cran-backports (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2020 11:25:28 +0100

r-cran-backports (1.1.10-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 18 Sep 2020 08:32:03 +0200

r-cran-backports (1.1.9-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 01 Sep 2020 16:56:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-backports
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-backports.git
 Homepage: https://cran.r-project.org/package=backports

## r-cran-backports 1.3.0

=== debian/changelog ===
r-cran-backports (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.0
  * Run cme, dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Mon, 01 Nov 2021 21:56:45 +0530

## r-cran-backports 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backports
 Type: Package
 Title: Reimplementations of Functions Introduced Since R-3.0.0
-Version: 1.2.1
+Version: 1.4.1
 Authors@R: c(
     person("Michel", "Lang", NULL, "michellang@gmail.com",
       role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
@@ -21,9 +21,9 @@
 ByteCompile: yes
 Depends: R (>= 3.0.0)
 Encoding: UTF-8
-RoxygenNote: 7.1.1
-Packaged: 2020-12-09 11:51:23 UTC; lang
+RoxygenNote: 7.1.2
+Packaged: 2021-12-13 10:49:30 UTC; michel
 Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
   R Core Team [aut]
 Repository: CRAN
-Date/Publication: 2020-12-09 14:20:07 UTC
+Date/Publication: 2021-12-13 11:30:02 UTC

=== debian/changelog ===
r-cran-backports (1.4.1-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Contact.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2021 14:15:42 +0100

r-cran-backports (1.4.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.4.0

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Nov 2021 18:03:25 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-backports
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-backports.git
 Homepage: https://cran.r-project.org/package=backports

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/backports_([-\d.]*)\.tar\.gz

## r-cran-backports 1.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Package: backports
 Type: Package
 Title: Reimplementations of Functions Introduced Since R-3.0.0
-Version: 1.4.1
+Version: 1.5.0
 Authors@R: c(
     person("Michel", "Lang", NULL, "michellang@gmail.com",
       role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
+    person("Duncan", "Murdoch", NULL, "murdoch.duncan@gmail.com",
+      role = c("aut")),
     person("R Core Team", role = "aut"))
 Maintainer: Michel Lang <michellang@gmail.com>
 Description: 
@@ -21,9 +23,10 @@
 ByteCompile: yes
 Depends: R (>= 3.0.0)
 Encoding: UTF-8
-RoxygenNote: 7.1.2
-Packaged: 2021-12-13 10:49:30 UTC; michel
+RoxygenNote: 7.3.1
+Packaged: 2024-05-23 11:56:25 UTC; michel
 Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
+  Duncan Murdoch [aut],
   R Core Team [aut]
 Repository: CRAN
-Date/Publication: 2021-12-13 11:30:02 UTC
+Date/Publication: 2024-05-23 12:30:02 UTC

=== debian/changelog ===
r-cran-backports (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * Make the tests verbose
  * silence a lintian error
  * Add patch to fix failing test. Closes: #1077463

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 25 Oct 2024 15:13:18 +0200

r-cran-backports (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Jun 2024 16:14:09 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-backports
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-backports
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-backports.git
+Homepage: https://cran.r-project.org/package=backports
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-backports
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-backports.git
-Homepage: https://cran.r-project.org/package=backports
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-backports
 Architecture: any
